<div class="row justify-content-between">
    <div class="col-6 text-left" style="padding: 2vh; padding-left: 10vw;">
        <button #anchorFilter (click)="onToggleFilter()" class="btn btn-primary">Filter</button>
    </div>
    <kendo-popup [anchor]="anchorFilter" (anchorViewportLeave)="show = false" *ngIf="showFilter">
        <app-deck-filter (filterEvent)="filterCards($event)" [listCard]="this.listCard" style="width: 50vw;">
        </app-deck-filter>
    </kendo-popup>
    <div class="col-6 text-right" style="padding: 2vh; padding-right: 10vw;">
        <button class="btn btn-success" (click)="save()">Save</button>
    </div>
</div>

<div class="container">
    <div class="row justify-content-start align-items-center">
        <div class="col col-lg-3 col-md-4 col-sm-6 col-12" *ngFor="let item of shownCards">
            <app-deck-card *ngIf="item" (updateEvent)="updateCard($event)" [editorCard]="item" [showDetail]="item?.card.cardId == detail" (detailEvent)="toggleDetail($event)"></app-deck-card>
        </div>
    </div>
</div>